Index: Makefile
===================================================================
--- Makefile	(revision 333105)
+++ Makefile	(working copy)
@@ -16,11 +16,12 @@
 
 LICENSE=	BSD
 
-OPTIONS_DEFINE=	TCLMAN TZDATA MODULES THREADS
+OPTIONS_DEFINE=	TCLMAN TZDATA MODULES THREADS LARGE_FDSET
 OPTIONS_DEFAULT=MODULES THREADS
 TCLMAN_DESC=	Install Tcl function manpages
 TZDATA_DESC=	Install Tcl timezone data
 MODULES_DESC=	Install Tcl common modules
+LARGE_FDSET_DESC=	Set FD_SETSIZE to 4096
 
 NO_STAGE=	yes
 WRKSRC=		${WRKDIR}/${DISTNAME:S/-src//}/unix
@@ -74,6 +75,10 @@
 CONFIGURE_ARGS+=--without-tzdata
 .endif
 
+.if ${PORT_OPTIONS:MLARGE_FDSET}
+CFLAGS+= 	-DFD_SETSIZE=4096
+.endif
+
 post-patch:
 	${REINPLACE_CMD} -e \
 	    's|@TCL_BUILD_LIB_SPEC@|@TCL_LIB_SPEC@|; \
